comparison configure @ 90851:31beec9ee600

Merge from emacs--devo--0 Patches applied: * emacs--devo--0 (patch 751-770) - Update from CVS - Merge from emacs--rel--22 - Update from CVS: lisp/textmodes/sgml-mode.el: Revert last change. - Merge from gnus--rel--5.10 * emacs--rel--22 (patch 18-25) * gnus--rel--5.10 (patch 222-223) - Update from CVS Revision: emacs@sv.gnu.org/emacs--unicode--0--patch-208
author Miles Bader <miles@gnu.org>
date Thu, 24 May 2007 21:31:10 +0000
parents d7172f202ab8 84043bdb6f7d
children e9f94688a064
comparison
equal deleted inserted replaced
90850:7d184cd91770 90851:31beec9ee600
410 exitcode=1 410 exitcode=1
411 echo positional parameters were not saved. 411 echo positional parameters were not saved.
412 fi 412 fi
413 413
414 test \$exitcode = 0") || { 414 test \$exitcode = 0") || {
415 echo Please tell bug-autoconf@gnu.org about your system, 415 echo No shell found that supports shell functions.
416 echo including any error possibly output before this message. 416 echo Please tell autoconf@gnu.org about your system,
417 echo This can help us improve future autoconf versions. 417 echo including any error possibly output before this
418 echo Configuration will now proceed without shell functions. 418 echo message
419 } 419 }
420 420
421 421
422 422
423 as_lineno_1=$LINENO 423 as_lineno_1=$LINENO
681 GZIP_PROG 681 GZIP_PROG
682 LIBSOUND 682 LIBSOUND
683 PKG_CONFIG 683 PKG_CONFIG
684 ALSA_CFLAGS 684 ALSA_CFLAGS
685 ALSA_LIBS 685 ALSA_LIBS
686
687 CFLAGS_SOUND 686 CFLAGS_SOUND
688 SET_MAKE 687 SET_MAKE
689 XMKMF 688 XMKMF
690 GTK_CFLAGS 689 GTK_CFLAGS
691 GTK_LIBS 690 GTK_LIBS
1348 --with-tiff use -ltiff for displaying TIFF images 1347 --with-tiff use -ltiff for displaying TIFF images
1349 --with-gif use -lungif for displaying GIF images 1348 --with-gif use -lungif for displaying GIF images
1350 --with-png use -lpng for displaying PNG images 1349 --with-png use -lpng for displaying PNG images
1351 --with-freetype use -lfreetype for local fonts support 1350 --with-freetype use -lfreetype for local fonts support
1352 --with-xft use -lXft for anti aliased fonts 1351 --with-xft use -lXft for anti aliased fonts
1352 --with-gpm use -lgpm for mouse support on a GNU/Linux console
1353 --with-gtk use GTK (same as --with-x-toolkit=gtk) 1353 --with-gtk use GTK (same as --with-x-toolkit=gtk)
1354 --with-pkg-config-prog Path to pkg-config to use for finding GTK 1354 --with-pkg-config-prog Path to pkg-config to use for finding GTK
1355 --without-toolkit-scroll-bars 1355 --without-toolkit-scroll-bars
1356 don't use Motif or Xaw3d scroll bars 1356 don't use Motif or Xaw3d scroll bars
1357 --without-xim don't use X11 XIM 1357 --without-xim don't use X11 XIM
1962 if test "${with_xft+set}" = set; then 1962 if test "${with_xft+set}" = set; then
1963 withval=$with_xft; 1963 withval=$with_xft;
1964 fi 1964 fi
1965 1965
1966 1966
1967 # Check whether --with-gpm was given.
1968 if test "${with_gpm+set}" = set; then
1969 withval=$with_gpm;
1970 fi
1971
1972
1967 # Check whether --with-gtk was given. 1973 # Check whether --with-gtk was given.
1968 if test "${with_gtk+set}" = set; then 1974 if test "${with_gtk+set}" = set; then
1969 withval=$with_gtk; 1975 withval=$with_gtk;
1970 fi 1976 fi
1971 1977
2198 IFS=$ac_save_IFS 2204 IFS=$ac_save_IFS
2199 case $host_os in *\ *) host_os=`echo "$host_os" | sed 's/ /-/g'`;; esac 2205 case $host_os in *\ *) host_os=`echo "$host_os" | sed 's/ /-/g'`;; esac
2200 2206
2201 2207
2202 canonical=$host 2208 canonical=$host
2203 configuration=${host_alias-$host} 2209 configuration=${host_alias-${build_alias-$host}}
2204 2210
2205 2211
2206 2212
2207 ### If you add support for a new configuration, add code to this 2213 ### If you add support for a new configuration, add code to this
2208 ### switch statement to recognize your configuration name and select 2214 ### switch statement to recognize your configuration name and select
6520 6526
6521 cat >>confdefs.h <<\_ACEOF 6527 cat >>confdefs.h <<\_ACEOF
6522 #define HAVE_ALSA 1 6528 #define HAVE_ALSA 1
6523 _ACEOF 6529 _ACEOF
6524 6530
6525
6526 fi 6531 fi
6527 6532
6528 fi 6533 fi
6529 6534
6530 6535
14323 cat >>confdefs.h <<\_ACEOF 14328 cat >>confdefs.h <<\_ACEOF
14324 #define HAVE_GIF 1 14329 #define HAVE_GIF 1
14325 _ACEOF 14330 _ACEOF
14326 14331
14327 fi 14332 fi
14333 fi
14334
14335 ### Use -lgpm if available, unless `--with-gpm=no'.
14336 HAVE_GPM=no
14337 if test "${with_gpm}" != "no"; then
14338 if test "${ac_cv_header_gpm_h+set}" = set; then
14339 { echo "$as_me:$LINENO: checking for gpm.h" >&5
14340 echo $ECHO_N "checking for gpm.h... $ECHO_C" >&6; }
14341 if test "${ac_cv_header_gpm_h+set}" = set; then
14342 echo $ECHO_N "(cached) $ECHO_C" >&6
14343 fi
14344 { echo "$as_me:$LINENO: result: $ac_cv_header_gpm_h" >&5
14345 echo "${ECHO_T}$ac_cv_header_gpm_h" >&6; }
14346 else
14347 # Is the header compilable?
14348 { echo "$as_me:$LINENO: checking gpm.h usability" >&5
14349 echo $ECHO_N "checking gpm.h usability... $ECHO_C" >&6; }
14350 cat >conftest.$ac_ext <<_ACEOF
14351 /* confdefs.h. */
14352 _ACEOF
14353 cat confdefs.h >>conftest.$ac_ext
14354 cat >>conftest.$ac_ext <<_ACEOF
14355 /* end confdefs.h. */
14356 $ac_includes_default
14357 #include <gpm.h>
14358 _ACEOF
14359 rm -f conftest.$ac_objext
14360 if { (ac_try="$ac_compile"
14361 case "(($ac_try" in
14362 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
14363 *) ac_try_echo=$ac_try;;
14364 esac
14365 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
14366 (eval "$ac_compile") 2>conftest.er1
14367 ac_status=$?
14368 grep -v '^ *+' conftest.er1 >conftest.err
14369 rm -f conftest.er1
14370 cat conftest.err >&5
14371 echo "$as_me:$LINENO: \$? = $ac_status" >&5
14372 (exit $ac_status); } && {
14373 test -z "$ac_c_werror_flag" ||
14374 test ! -s conftest.err
14375 } && test -s conftest.$ac_objext; then
14376 ac_header_compiler=yes
14377 else
14378 echo "$as_me: failed program was:" >&5
14379 sed 's/^/| /' conftest.$ac_ext >&5
14380
14381 ac_header_compiler=no
14382 fi
14383
14384 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
14385 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
14386 echo "${ECHO_T}$ac_header_compiler" >&6; }
14387
14388 # Is the header present?
14389 { echo "$as_me:$LINENO: checking gpm.h presence" >&5
14390 echo $ECHO_N "checking gpm.h presence... $ECHO_C" >&6; }
14391 cat >conftest.$ac_ext <<_ACEOF
14392 /* confdefs.h. */
14393 _ACEOF
14394 cat confdefs.h >>conftest.$ac_ext
14395 cat >>conftest.$ac_ext <<_ACEOF
14396 /* end confdefs.h. */
14397 #include <gpm.h>
14398 _ACEOF
14399 if { (ac_try="$ac_cpp conftest.$ac_ext"
14400 case "(($ac_try" in
14401 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
14402 *) ac_try_echo=$ac_try;;
14403 esac
14404 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
14405 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
14406 ac_status=$?
14407 grep -v '^ *+' conftest.er1 >conftest.err
14408 rm -f conftest.er1
14409 cat conftest.err >&5
14410 echo "$as_me:$LINENO: \$? = $ac_status" >&5
14411 (exit $ac_status); } >/dev/null && {
14412 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
14413 test ! -s conftest.err
14414 }; then
14415 ac_header_preproc=yes
14416 else
14417 echo "$as_me: failed program was:" >&5
14418 sed 's/^/| /' conftest.$ac_ext >&5
14419
14420 ac_header_preproc=no
14421 fi
14422
14423 rm -f conftest.err conftest.$ac_ext
14424 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
14425 echo "${ECHO_T}$ac_header_preproc" >&6; }
14426
14427 # So? What about this header?
14428 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
14429 yes:no: )
14430 { echo "$as_me:$LINENO: WARNING: gpm.h: accepted by the compiler, rejected by the preprocessor!" >&5
14431 echo "$as_me: WARNING: gpm.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
14432 { echo "$as_me:$LINENO: WARNING: gpm.h: proceeding with the compiler's result" >&5
14433 echo "$as_me: WARNING: gpm.h: proceeding with the compiler's result" >&2;}
14434 ac_header_preproc=yes
14435 ;;
14436 no:yes:* )
14437 { echo "$as_me:$LINENO: WARNING: gpm.h: present but cannot be compiled" >&5
14438 echo "$as_me: WARNING: gpm.h: present but cannot be compiled" >&2;}
14439 { echo "$as_me:$LINENO: WARNING: gpm.h: check for missing prerequisite headers?" >&5
14440 echo "$as_me: WARNING: gpm.h: check for missing prerequisite headers?" >&2;}
14441 { echo "$as_me:$LINENO: WARNING: gpm.h: see the Autoconf documentation" >&5
14442 echo "$as_me: WARNING: gpm.h: see the Autoconf documentation" >&2;}
14443 { echo "$as_me:$LINENO: WARNING: gpm.h: section \"Present But Cannot Be Compiled\"" >&5
14444 echo "$as_me: WARNING: gpm.h: section \"Present But Cannot Be Compiled\"" >&2;}
14445 { echo "$as_me:$LINENO: WARNING: gpm.h: proceeding with the preprocessor's result" >&5
14446 echo "$as_me: WARNING: gpm.h: proceeding with the preprocessor's result" >&2;}
14447 { echo "$as_me:$LINENO: WARNING: gpm.h: in the future, the compiler will take precedence" >&5
14448 echo "$as_me: WARNING: gpm.h: in the future, the compiler will take precedence" >&2;}
14449
14450 ;;
14451 esac
14452 { echo "$as_me:$LINENO: checking for gpm.h" >&5
14453 echo $ECHO_N "checking for gpm.h... $ECHO_C" >&6; }
14454 if test "${ac_cv_header_gpm_h+set}" = set; then
14455 echo $ECHO_N "(cached) $ECHO_C" >&6
14456 else
14457 ac_cv_header_gpm_h=$ac_header_preproc
14458 fi
14459 { echo "$as_me:$LINENO: result: $ac_cv_header_gpm_h" >&5
14460 echo "${ECHO_T}$ac_cv_header_gpm_h" >&6; }
14461
14462 fi
14463 if test $ac_cv_header_gpm_h = yes; then
14464 { echo "$as_me:$LINENO: checking for Gpm_Open in -lgpm" >&5
14465 echo $ECHO_N "checking for Gpm_Open in -lgpm... $ECHO_C" >&6; }
14466 if test "${ac_cv_lib_gpm_Gpm_Open+set}" = set; then
14467 echo $ECHO_N "(cached) $ECHO_C" >&6
14468 else
14469 ac_check_lib_save_LIBS=$LIBS
14470 LIBS="-lgpm $LIBS"
14471 cat >conftest.$ac_ext <<_ACEOF
14472 /* confdefs.h. */
14473 _ACEOF
14474 cat confdefs.h >>conftest.$ac_ext
14475 cat >>conftest.$ac_ext <<_ACEOF
14476 /* end confdefs.h. */
14477
14478 /* Override any GCC internal prototype to avoid an error.
14479 Use char because int might match the return type of a GCC
14480 builtin and then its argument prototype would still apply. */
14481 #ifdef __cplusplus
14482 extern "C"
14483 #endif
14484 char Gpm_Open ();
14485 int
14486 main ()
14487 {
14488 return Gpm_Open ();
14489 ;
14490 return 0;
14491 }
14492 _ACEOF
14493 rm -f conftest.$ac_objext conftest$ac_exeext
14494 if { (ac_try="$ac_link"
14495 case "(($ac_try" in
14496 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
14497 *) ac_try_echo=$ac_try;;
14498 esac
14499 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
14500 (eval "$ac_link") 2>conftest.er1
14501 ac_status=$?
14502 grep -v '^ *+' conftest.er1 >conftest.err
14503 rm -f conftest.er1
14504 cat conftest.err >&5
14505 echo "$as_me:$LINENO: \$? = $ac_status" >&5
14506 (exit $ac_status); } && {
14507 test -z "$ac_c_werror_flag" ||
14508 test ! -s conftest.err
14509 } && test -s conftest$ac_exeext &&
14510 $as_test_x conftest$ac_exeext; then
14511 ac_cv_lib_gpm_Gpm_Open=yes
14512 else
14513 echo "$as_me: failed program was:" >&5
14514 sed 's/^/| /' conftest.$ac_ext >&5
14515
14516 ac_cv_lib_gpm_Gpm_Open=no
14517 fi
14518
14519 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
14520 conftest$ac_exeext conftest.$ac_ext
14521 LIBS=$ac_check_lib_save_LIBS
14522 fi
14523 { echo "$as_me:$LINENO: result: $ac_cv_lib_gpm_Gpm_Open" >&5
14524 echo "${ECHO_T}$ac_cv_lib_gpm_Gpm_Open" >&6; }
14525 if test $ac_cv_lib_gpm_Gpm_Open = yes; then
14526 HAVE_GPM=yes
14527 fi
14528
14529 fi
14530
14531
14532 fi
14533
14534 if test "${HAVE_GPM}" = "yes"; then
14535
14536 cat >>confdefs.h <<\_ACEOF
14537 #define HAVE_GPM 1
14538 _ACEOF
14539
14328 fi 14540 fi
14329 14541
14330 if test "${ac_cv_header_malloc_malloc_h+set}" = set; then 14542 if test "${ac_cv_header_malloc_malloc_h+set}" = set; then
14331 { echo "$as_me:$LINENO: checking for malloc/malloc.h" >&5 14543 { echo "$as_me:$LINENO: checking for malloc/malloc.h" >&5
14332 echo $ECHO_N "checking for malloc/malloc.h... $ECHO_C" >&6; } 14544 echo $ECHO_N "checking for malloc/malloc.h... $ECHO_C" >&6; }
23499 echo " Does Emacs use -lXpm? ${HAVE_XPM}" 23711 echo " Does Emacs use -lXpm? ${HAVE_XPM}"
23500 echo " Does Emacs use -ljpeg? ${HAVE_JPEG}" 23712 echo " Does Emacs use -ljpeg? ${HAVE_JPEG}"
23501 echo " Does Emacs use -ltiff? ${HAVE_TIFF}" 23713 echo " Does Emacs use -ltiff? ${HAVE_TIFF}"
23502 echo " Does Emacs use -lungif? ${HAVE_GIF}" 23714 echo " Does Emacs use -lungif? ${HAVE_GIF}"
23503 echo " Does Emacs use -lpng? ${HAVE_PNG}" 23715 echo " Does Emacs use -lpng? ${HAVE_PNG}"
23716 echo " Does Emacs use -lgpm? ${HAVE_GPM}"
23504 echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}" 23717 echo " Does Emacs use X toolkit scroll bars? ${USE_TOOLKIT_SCROLL_BARS}"
23505 echo 23718 echo
23506 23719
23507 if test $USE_XASSERTS = yes; then 23720 if test $USE_XASSERTS = yes; then
23508 echo " Compiling with asserts turned on." 23721 echo " Compiling with asserts turned on."